use library::config;
use mimalloc::MiMalloc;

#[global_allocator]
static GLOBAL: MiMalloc = MiMalloc;

#[tokio::main]
async fn main() {
    let (_std_guard, _file_guard) = library::core::logger::init_log(config!());
    let _i18n = i18n::init_i18n();
    library::core::db::init_database(config!()).await;

    server::serve().await;
}
